#ifndef KYLINLOGGER_C_H
#define KYLINLOGGER_C_H

enum { LOG_DEBUG = 0, LOG_INFO, LOG_WARN, LOG_ERROR, LOG_NOTICE, LOG_FATAL };

int logger_init(const char *name,int verbose);

void logger_log(int level, const char *fmt, ...);

int logger_get_level();

void logger_deinit();

#endif // KYLINLOGGER_H
